Dependency problem

Hello,
When I build the openwrt, there are some warning about dependency and does not exist
Does it mean that I need to install the lib?
how to get and install the libs?

WARNING: Makefile 'package/utils/busybox/Makefile' has a dependency on 'libpam', which does not exist
WARNING: Makefile 'package/utils/busybox/Makefile' has a dependency on 'libpam', which does not exist
WARNING: Makefile 'package/utils/busybox/Makefile' has a build dependency on 'libpam', which does not exist
WARNING: Makefile 'package/quanta/CCdaemon/Makefile' has a dependency on 'libxml2', which does not exist
WARNING: Makefile 'package/quanta/CCdaemon/Makefile' has a dependency on 'mipc', which does not exist
WARNING: Makefile 'package/quanta/CCdaemon/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/quanta/dmclient/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/quanta/dmclient/Makefile' has a dependency on 'libxml2', which does not exist
WARNING: Makefile 'package/boot/kexec-tools/Makefile' has a dependency on 'liblzma', which does not exist
WARNING: Makefile 'package/quanta/lighttpd/Makefile' has a dependency on 'krb5-libs', which does not exist
WARNING: Makefile 'package/quanta/lighttpd/Makefile' has a dependency on 'libopenldap', which does not exist
WARNING: Makefile 'package/quanta/lighttpd/Makefile' has a dependency on 'libmysqlclient', which does not exist
WARNING: Makefile 'package/quanta/lighttpd/Makefile' has a dependency on 'libmysqlclient', which does not exist
WARNING: Makefile 'package/quanta/lighttpd/Makefile' has a dependency on 'libgdbm', which does not exist
WARNING: Makefile 'package/quanta/lighttpd/Makefile' has a dependency on 'libsqlite3', which does not exist
WARNING: Makefile 'package/quanta/lighttpd/Makefile' has a dependency on 'libxml2', which does not exist
WARNING: Makefile 'package/network/services/lldpd/Makefile' has a dependency on 'libnetsnmp', which does not exist
WARNING: Makefile 'package/utils/policycoreutils/Makefile' has a dependency on 'libpam', which does not exist
WARNING: Makefile 'package/utils/policycoreutils/Makefile' has a dependency on 'libpam', which does not exist
WARNING: Makefile 'package/utils/policycoreutils/Makefile' has a build dependency on 'libpam', which does not exist
WARNING: Makefile 'package/quanta/quanta_app/Makefile' has a dependency on 'libcurl', which does not exist

Thanks

You probably forgot to update and install the feeds.